/*
 *  Licensed Materials - Property of IBM
 *  IBM Product Name: 5725S57
 *  Copyright IBM Corp. 2011, 2015
 *  US Government Users Restricted Rights - Use, 
 *  duplication or disclosure restricted by GSA 
 *  ADP Schedule Contract with IBM Corp.
 */

@class ASAbstractFaspSession;

/// :nodoc:
@interface ASSessionStartNotifier : NSObject {
    BOOL receivedSessionStartCallback;
    BOOL queuesInitialized;
    BOOL abort;
}

- (void)receivedSessionStartCallbackForSession:(ASAbstractFaspSession *)session;
- (void)waitToTriggerStartNotificationForSession:(ASAbstractFaspSession *)session;
- (void)abortIfWaiting;

@end


